click
Description
Adds a click handler to the Two State buttonUsage
onClick?: (ev: React.MouseEvent<HTMLButtonElement>) => void;
Parameters
- ev - (object) a native React mouse event object (React.MouseEvent)
Example
function myFunction(ev: React.MouseEvent<HTMLButtonElement>) {
showNotice({
text: "Two State Button clicked",
});
}
export default function Example() {
return (
<div>
<TwoState onClick={myFunction}>Click Me</TwoState>
</div>
);
}
Related articles: Handling a button click, Making a button inactive
Related sample: Two State Button

click
Description
Adds a click handler to the Two State buttonUsage
onclick?: (ev: MouseEvent) => void;
Parameters
- ev - (object) a native HTML click event object
Example
<script setup>
function myFunction() {
showNotice({
text: "Two State Button clicked",
});
}
</script>
<template>
<div>
<TwoState :onclick="myFunction">Click Me</TwoState>
</div>
</template>
Related articles: Handling a button click, Making a button inactive
Related sample: Two State Button